Bug 631859 - Mailman: Cross-site scripting (XSS) in list information overview
Mailman: Cross-site scripting (XSS) in list information overview
Status: CLOSED DUPLICATE of bug 631881
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
public=20100909,reported=20100905,sou...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-08 10:38 EDT by Jan Lieskovsky
Modified: 2016-03-04 07:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-14 00:30:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-09-08 10:38:03 EDT
A security flaw was found in the way Mailman mailing list
manager sanitized mailing list description by presenting
general mailing list information. A remote mailing list
owner could use this flaw to conduct cross-site scripting
(XSS) attacks (execute arbitrary HTML or scripting code).

References:
[1] http://mail.python.org/pipermail/mailman-announce/2010-September/000150.html
Comment 4 Jan Lieskovsky 2010-09-08 11:11:09 EDT
This issue affects the versions of the mailman package, as shipped
with Red Hat Enterprise Linux 3, 4, and 5.

--

This issue affects the versions of the mailman package, as shipped
with Fedora release of 12 and 13.
Comment 5 Huzaifa S. Sidhpurwala 2010-09-13 06:56:51 EDT
Public via: http://mail.python.org/pipermail/mailman-announce/2010-September/000151.html
Comment 6 Vincent Danen 2010-09-13 16:40:38 EDT
This issue has been assigned the name CVE-2010-3090.
Comment 7 Huzaifa S. Sidhpurwala 2010-09-14 00:30:40 EDT

*** This bug has been marked as a duplicate of bug 631881 ***
Comment 8 Huzaifa S. Sidhpurwala 2010-09-14 00:37:17 EDT
Note: 
CVE-2010-3090 was rejected because CVE-2010-3089 affects the same version and falls in the same class of issues per:
http://www.openwall.com/lists/oss-security/2010/09/13/12

Note You need to log in before you can comment on or make changes to this bug.